image: python:3.7-alpine

test:
  stage: test
  only:
  - branches
  except:
  - main
  script:
    - pip install -U sphinx
    - sphinx-build -b html . public
  artifacts:
    paths:
      - public

pages:
  stage: deploy
  script:
    - pip install -U sphinx
    - sphinx-build -b html . public
  artifacts:
    paths:
    - public
  only:
  - main
